// Rozwiązanie zadania Przesuwanie króla
// Zawody I stopnia XVII OIJ
// oij.edu.pl

// Bartosz Kostka
#include "bits/stdc++.h"

using namespace std;

// Na podstawie napisu z pozycją, zwracamy kolumnę jako liczbę (od 1 do 8).
int Kolumna(string pozycja) {
  return pozycja[0] - '0';
}

// Na podstawie napisu z pozycją, zwracamy wiersz jako liczbę (od 1 do 8).
int Wiersz(string pozycja) {
  return pozycja[1] - 'a' + 1;
}

// Zwracamy w którym kierunku powinniśmy się poruszać w osi X.
int KierunekX(int poczatkowa_kolumna, int koncowa_kolumna) {
  if (poczatkowa_kolumna < koncowa_kolumna) return 1;
  if (poczatkowa_kolumna == koncowa_kolumna) return 0;
  if (poczatkowa_kolumna > koncowa_kolumna) return -1;
}

// Zwracamy w którym kierunku powinniśmy się poruszać w osi Y.
int KierunekY(int poczatkowy_wiersz, int koncowy_wiersz) {
  if (poczatkowy_wiersz < koncowy_wiersz) return 1;
  if (poczatkowy_wiersz == koncowy_wiersz) return 0;
  if (poczatkowy_wiersz > koncowy_wiersz) return -1;
}

// Wygeneruj napis reprezentujący kolejny ruch.
string WygenerujRuch(int kierunek_x, int kierunek_y) {
  string ruch;
  if (kierunek_y == 1) ruch += "N";
  if (kierunek_y == -1) ruch += "S";
  if (kierunek_x == 1) ruch += "E";
  if (kierunek_x == -1) ruch += "W";
  return ruch;
}

int main() {
  string aktualna_pozycja, koncowa_pozycja;
  cin >> aktualna_pozycja >> koncowa_pozycja;
  int aktualny_wiersz = Wiersz(aktualna_pozycja),
      aktualna_kolumna = Kolumna(aktualna_pozycja),
      koncowy_wiersz = Wiersz(koncowa_pozycja),
      koncowa_kolumna = Kolumna(koncowa_pozycja);

  int kierunek_x = KierunekX(aktualna_kolumna, koncowa_kolumna),
      kierunek_y = KierunekY(aktualny_wiersz, koncowy_wiersz);
  vector<string> ruchy;
  // Dopóki nie powinniśmy stać w miejscu.
  while (kierunek_x != 0 or kierunek_y != 0) {
    string ruch = WygenerujRuch(kierunek_x, kierunek_y);
    ruchy.push_back(ruch);
    // Przesuń króla w odpowiednim kierunku.
    aktualna_kolumna += kierunek_x;
    aktualny_wiersz += kierunek_y;
    // I wygeneruj kierunek po tym jak zaktualizowaliśmy pozycję.
    kierunek_x = KierunekX(aktualna_kolumna, koncowa_kolumna);
    kierunek_y = KierunekY(aktualny_wiersz, koncowy_wiersz);
  }

  // Finalnie wypisz wszystkie ruchy.
  cout << (int)ruchy.size() << "\n";
  for (auto ruch : ruchy) {
    cout << ruch << " ";
  }
  cout << "\n";
  return 0;
}